body {

  font-family: Arial;

  background: #111;

  color: white;

}

h1 {

  text-align: center;

}

.controls {

  background: #222;

  padding: 15px;

  margin: 10px;

}

input, select, button {

  margin: 5px;

  padding: 5px;

}

#calendar {

  display: flex;

  gap: 10px;

  overflow-x: auto;

}

.day {

  min-width: 200px;

  background: #1a1a1a;

  padding: 5px;

}

.grid {

  display: grid;

  grid-template-rows: repeat(24, 20px);

}

.cell {

  border: 1px solid #333;

  font-size: 10px;

  overflow: hidden;

}